package tech.nevets.wikipediabot;

import com.google.gson.Gson;
import com.google.gson.JsonObject;
import net.dv8tion.jda.api.JDA;
import net.dv8tion.jda.api.JDABuilder;
import net.dv8tion.jda.api.entities.Activity;
import net.dv8tion.jda.api.utils.cache.CacheFlag;
import tech.nevets.wikipediabot.commands.utils.CommandManager;

import java.io.FileReader;
import java.io.IOException;
import java.util.EnumSet;

public class Bot {
    public static JsonObject config;
    public static JDA jda;

    public static void main(String[] args) throws IOException {
        config = new Gson().fromJson(new FileReader("./config.json"), JsonObject.class);
        jda = JDABuilder.createDefault(config.get("token").getAsString())
                .disableCache(EnumSet.of(CacheFlag.CLIENT_STATUS, CacheFlag.ACTIVITY, CacheFlag.EMOJI))
                .addEventListeners(new Listener())
                .build();

        CommandManager.registerCommands();

        jda.getPresence().setActivity(Activity.watching("over knowledge"));
    }
}
