package tech.nevets.wikipediabot.commands;

import net.dv8tion.jda.api.interactions.commands.OptionType;
import net.dv8tion.jda.api.interactions.commands.build.CommandData;
import net.dv8tion.jda.api.interactions.commands.build.Commands;
import tech.nevets.wikipediabot.WikipediaRequest;
import tech.nevets.wikipediabot.commands.utils.CommandContext;
import tech.nevets.wikipediabot.commands.utils.ICommand;

public class WikiCmd implements ICommand {
    @Override
    public void handle(CommandContext ctx) {
        String topic = ctx.getEvent().getOption("topic").getAsString();
        String wikiEntry = WikipediaRequest.wikipediaRequest(topic);
        ctx.getHook().sendMessage(wikiEntry).queue();
    }

    @Override
    public String getName() {
        return "wiki";
    }

    @Override
    public String getHelp() {
        return getDescription() +
                "\nUsage: `/" + getName() + " [args]`";
    }

    @Override
    public String getDescription() {
        return "Searches wikipedia for the given term.";
    }

    @Override
    public CommandData getCommandData() {
        return Commands.slash(getName(), getDescription())
                .addOption(OptionType.STRING, "topic", "topic to search", true);
    }
}
