package tech.nevets.wikipediabot.commands.utils;

import net.dv8tion.jda.api.JDA;
import net.dv8tion.jda.api.entities.Guild;
import net.dv8tion.jda.api.entities.Member;
import net.dv8tion.jda.api.entities.User;
import net.dv8tion.jda.api.entities.channel.middleman.MessageChannel;
import net.dv8tion.jda.api.events.interaction.command.SlashCommandInteractionEvent;
import net.dv8tion.jda.api.interactions.InteractionHook;
import net.dv8tion.jda.api.sharding.ShardManager;

public class CommandContext {
    private final SlashCommandInteractionEvent event;

    public CommandContext(SlashCommandInteractionEvent event) {
        this.event = event;
    }

    public SlashCommandInteractionEvent getEvent() {
        return this.event;
    }

    public Guild getGuild() {
        return this.getEvent().getGuild();
    }

    public MessageChannel getChannel() {
        return this.getEvent().getMessageChannel();
    }

    public String getCommandString() {
        return this.getEvent().getCommandString();
    }

    public User getAuthor() {
        return this.getEvent().getUser();
    }

    public Member getMember() {
        return this.getEvent().getMember();
    }

    public InteractionHook getHook() {
        return this.getEvent().getHook();
    }

    public JDA getJDA() {
        return this.getEvent().getJDA();
    }

    public ShardManager getShardManager() {
        return this.getJDA().getShardManager();
    }

    public User getSelfUser() {
        return this.getJDA().getSelfUser();
    }

    public Member getSelfMember() {
        return this.getGuild().getSelfMember();
    }
}
